diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/10_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/10_plus/properties.sql
index 9b4657bd..c5b24904 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/10_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/10_plus/properties.sql
@@ -25,13 +25,14 @@ WHERE
      db.datistemplate = {{show_user_defined_templates}} AND
 {% endif %}
 {% if did %}
-db.oid = {{ did|qtLiteral }}::OID{% else %}{% if name %}
-db.datname = {{ name|qtLiteral }}::text{% else %}
-db.oid > {{ last_system_oid|qtLiteral }}::OID OR db.datname IN ('postgres', 'edb')
-{% endif %}{% endif %}
+db.oid = {{ did|qtLiteral }}::OID
+{% endif %}
 {% if db_restrictions %}
-AND
+
+{% if did %}AND{% endif %}
 db.datname in ({{db_restrictions}})
+{% elif not did%}
+db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
 {% endif %}
 
 ORDER BY datname;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/properties.sql
index 903cd096..79789d9c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/properties.sql
@@ -30,14 +30,14 @@ FROM pg_catalog.pg_database db
         db.oid=descr.objoid AND descr.classoid='pg_database'::regclass
     )
 WHERE {% if did %}
-db.oid = {{ did|qtLiteral }}::OID{% else %}{% if name %}
-db.datname = {{ name|qtLiteral }}::text{% else %}
-db.oid > {{ last_system_oid|qtLiteral }}::OID OR db.datname IN ('postgres', 'edb')
-{% endif %}{% endif %}
+db.oid = {{ did|qtLiteral }}::OID
+{% endif %}
 {% if db_restrictions %}
 
-AND
+{% if did %}AND{% endif %}
 db.datname in ({{db_restrictions}})
+{% elif not did%}
+db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
 {% endif %}
 
 AND db.datistemplate in (false, {{show_system_objects}})
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/properties.sql
index 1a6b38db..41d05452 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/properties.sql
@@ -37,14 +37,14 @@ FROM pg_catalog.pg_database db
         db.oid=descr.objoid AND descr.classoid='pg_database'::regclass
     )
 WHERE {% if did %}
-db.oid = {{ did|qtLiteral }}::OID{% else %}{% if name %}
-db.datname = {{ name|qtLiteral }}::text{% else %}
-db.oid > {{ last_system_oid|qtLiteral }}::OID OR db.datname IN ('postgres', 'edb')
-{% endif %}{% endif %}
+db.oid = {{ did|qtLiteral }}::OID
+{% endif %}
 {% if db_restrictions %}
 
-AND
+{% if did %}AND{% endif %}
 db.datname in ({{db_restrictions}})
+{% elif not did%}
+db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
 {% endif %}
 
 AND db.datistemplate in (false, {{show_system_objects}})
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/properties.sql
index 08e1471c..15ca26ea 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/properties.sql
@@ -21,14 +21,14 @@ FROM pg_catalog.pg_database db
         db.oid=descr.objoid AND descr.classoid='pg_database'::regclass
     )
 WHERE {% if did %}
-db.oid = {{ did|qtLiteral }}::OID{% else %}{% if name %}
-db.datname = {{ name|qtLiteral }}::text{% else %}
-db.oid > {{ last_system_oid|qtLiteral }}::OID OR db.datname IN ('postgres', 'edb')
-{% endif %}{% endif %}
+db.oid = {{ did|qtLiteral }}::OID
+{% endif %}
 {% if db_restrictions %}
 
-AND
+{% if did %}AND{% endif %}
 db.datname in ({{db_restrictions}})
+{% elif not did%}
+db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
 {% endif %}
 
 ORDER BY datname;
